import com.gic.haoban.common.utils.UuidUtil;
import com.gic.haoban.manage.service.dao.mapper.TabHaobanOperationSettingMapper;
import com.gic.haoban.manage.service.entity.TabHaobanOperationSetting;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.Date;

/**
 * desc：
 *
 * @author: YongEn
 * @date: 2021/8/26
 **/
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath:applicationContext-conf.xml"})
public class TestOperDatabase {

    @Autowired
    private TabHaobanOperationSettingMapper tabHaobanOperationSettingMapper;

    @Test
    public void testOperSetting() {
        TabHaobanOperationSetting setting = new TabHaobanOperationSetting();
        setting.setClerkPhoneFlag(1);
        setting.setCreateTime(new Date());
        setting.setSettingId(UuidUtil.randomUUID());
        setting.setWxEnterpriseId("123123");
        tabHaobanOperationSettingMapper.insert(setting);
    }

}
